summaryrefslogtreecommitdiff
path: root/dev-util
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-10-27 18:38:05 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-10-27 18:38:05 +0200
commit24934e623441310f644e5f72855b0f2bf9f3cd1a (patch)
treea453939bf58199bc2c3ff27bcf0accf2b221c6c4 /dev-util
parent687f45092b4f4ccf33765cee7427f054bae22344 (diff)
Incoming! Moving Rogento.git to kogaion-desktop. Finally
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/molecule/Manifest1
-rw-r--r--dev-util/molecule/metadata.xml24
-rw-r--r--dev-util/molecule/molecule-0.9.24.7.ebuild38
3 files changed, 63 insertions, 0 deletions
diff --git a/dev-util/molecule/Manifest b/dev-util/molecule/Manifest
new file mode 100644
index 00000000..7cfa7ddb
--- /dev/null
+++ b/dev-util/molecule/Manifest
@@ -0,0 +1 @@
+DIST molecule-0.9.24.7.tar.bz2 273794 SHA256 828132f68eec01023420aee2cd940f3ed657d358639f6dfc11f37c16b4c5ee7d SHA512 c82360e43ed1d0e5d7352ea8ca0cdceec6c23ad488d8def2bfa5fae87b1915cacf687c74837a13eb607adff7d767a780bbeb073d13f84218d982843b15525e7c WHIRLPOOL dc59a76fa31f90ea7f9402f1ea47770d05e348953c2d2427fd91c954ebba32c7c9e0f355ca2b52af8716f098dd30aabf780a8b6ec7daa17f742207bf233933f1
diff --git a/dev-util/molecule/metadata.xml b/dev-util/molecule/metadata.xml
new file mode 100644
index 00000000..1dd663e4
--- /dev/null
+++ b/dev-util/molecule/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>lxnay@gentoo.org</email>
+ <name>Fabio Erculiani</name>
+ </maintainer>
+ <longdescription lang="en">
+ Metro is a build tool that can build, rebuild or extend Sabayon Linux or
+ Gentoo Linux OS releases OpenVZ templates and stage4 tarballs.
+ It doesn't contain any specific package manager bit and can work with
+ your favourite one. The philosophy of Molecule is simple: ease of use and
+ modularity.
+ Just like Catalyst, Molecule uses its own .spec file format and learning
+ how to write one is just about reading examples provided inside
+ /usr/share/molecule/examples.
+ You can tweak your ISO image or create one off your chroot (stage4) in no
+ time. Molecule uses a plugin-based system to implement support for new
+ execution patterns (like ISO to ISO, ISO to Tar, Chroot to ISO, etc).
+ Molecule is born inside Sabayon and is used in its release cycle for both
+ daily(live) and versioned ISO images.
+ Molecule developers are looking for help for writing user docs and HOWTOs.
+ </longdescription>
+</pkgmetadata>
diff --git a/dev-util/molecule/molecule-0.9.24.7.ebuild b/dev-util/molecule/molecule-0.9.24.7.ebuild
new file mode 100644
index 00000000..20cea1e1
--- /dev/null
+++ b/dev-util/molecule/molecule-0.9.24.7.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/molecule/molecule-0.9.24.6.ebuild,v 1.1 2012/09/11 14:05:57 lxnay Exp $
+
+EAPI="3"
+PYTHON_DEPEND="*"
+
+inherit python
+
+DESCRIPTION="Release metatool used for creating Sabayon (and Gentoo) releases"
+HOMEPAGE="http://www.sabayon.org"
+SRC_URI="http://bpr.bluepink.ro/~rogentos/distro/${CATEGORY}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-util/intltool
+ sys-devel/gettext"
+RDEPEND="net-misc/rsync
+ sys-fs/squashfs-tools
+ sys-process/lsof
+ virtual/cdrtools"
+
+src_install() {
+ emake DESTDIR="${D}" LIBDIR="/usr/lib" \
+ PREFIX="/usr" SYSCONFDIR="/etc" install \
+ || die "emake install failed"
+}
+
+pkg_postinst() {
+ python_mod_optimize "/usr/lib/molecule"
+}
+
+pkg_postrm() {
+ python_mod_cleanup "/usr/lib/molecule"
+}